Apache Struts API Documentation: Class BaseFieldTag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class BaseFieldTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--org.apache.struts.taglib.html.BaseHandlerTag
                        |
                        +--org.apache.struts.taglib.html.BaseInputTag
                              |
                              +--org.apache.struts.taglib.html.BaseFieldTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  FileTag, HiddenTag, PasswordTag, TextTag

public abstract class BaseFieldTag
extends BaseInputTag

Convenience base class for the various input tags for text fields.

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `accept` Comma-delimited list of content types that a server processing this form will handle correctly.
`protected java.lang.String` | `name` The name of the bean containing our underlying property.
`protected boolean` | `redisplay` The "redisplay contents" flag (used only on `password`).
`protected java.lang.String` | `type` The type of input field represented by this tag (text, password, or hidden).

Fields inherited from class org.apache.struts.taglib.html.BaseInputTag
`cols, maxlength, messages, property, rows, value`

Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`accesskey, disabled, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, readonly, style, styleClass, styleId, tabindex, title`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext, parent, values`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`BaseFieldTag()`

Method Summary
`int` | `doStartTag()` Generate the required input tag.
`java.lang.String` | `getAccept()`
`java.lang.String` | `getName()`
`boolean` | `getRedisplay()`
`void` | `release()` Release any acquired resources.
`void` | `setAccept(java.lang.String accept)`
`void` | `setName(java.lang.String name)`
`void` | `setRedisplay(boolean redisplay)`

Methods inherited from class org.apache.struts.taglib.html.BaseInputTag
`doEndTag, getCols, getMaxlength, getProperty, getRows, getSize, getValue, setCols, setMaxlength, setProperty, setRows, setSize, setValue`

Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`getAccesskey, getDisabled, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, prepareEventHandlers, prepareFocusEvents, prepareKeyEvents, prepareMouseEvents, prepareStyles, prepareTextEvents, setAccesskey, setDisabled, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### accept

    protected java.lang.String accept

  Comma-delimited list of content types that a server processing this form will handle correctly. This property is defined only for the `file` tag, but is implemented here because it affects the rendered HTML of the corresponding <input> tag.

### name

    protected java.lang.String name

  The name of the bean containing our underlying property.

### redisplay

    protected boolean redisplay

  The "redisplay contents" flag (used only on `password`).

### type

    protected java.lang.String type

  The type of input field represented by this tag (text, password, or hidden).

Constructor Detail

### BaseFieldTag

    public BaseFieldTag()

Method Detail

### getAccept

    public java.lang.String getAccept()

### setAccept

    public void setAccept(java.lang.String accept)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getRedisplay

    public boolean getRedisplay()

### setRedisplay

    public void setRedisplay(boolean redisplay)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Generate the required input tag.
  Overrides:
    `doStartTag` in class `BaseInputTag`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### release

    public void release()

  Release any acquired resources.
  Overrides:
    `release` in class `BaseInputTag`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation